Skip to main content

Campaign Type

Overview

After creating your campaign you should decide what type of Campaign you would like to utilize. This decision should be determined by your ad strategy. Let's take a look at the types of Campaigns that are currently available.

Talroo Basic Campaigns

The Talroo Basic Campaign Type is the simplest Campaign Type offered. This Campaign Type will have job seekers sent directly to a job's corresponding URL, at which time Talroo will record a billable click at the job's corresponding click price (See Bidding Strategy for how click prices can be determined).

The Talroo Basic Campaign Type should be used when there is an adequate landing page that will provide a good job seeker experience, and/or the main objective of the campaign is to generate a high volume of traffic to your jobs.

Within the Job Campaign object, a Talroo Basic campaign is designated with the following values:

"talrooFeaturedType": "OFF",
"talrooPro": "OFF",
"talrooApply": false,
"talrooApplyPro": false

The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (id:12345) with field values that match the Basic Campaign Type:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"talrooFeaturedType": "OFF",
"talrooPro": "OFF",
"talrooApply": false,
"talrooApplyPro": false
}'

Talroo Pro Campaigns

The Talroo Pro Campaign Type is designed to only send high-intent candidates to your jobs. This is accomplished by showing job candidates full previews of a job's details including, title, description, and hero image. Billable clicks are not accrued until job seekers see the job details and then choose to continue to the job page via the job's URL. This Campaign Type generates higher conversion rates than the other Campaign Types but also requires higher, Talroo Pro specific bids to properly advertise the Campaign (see Bidding Strategy).

Within the Job Campaign object, a Talroo Pro Campaign is designated with the following values:

"talrooFeaturedType": "OFF",
"talrooPro": "ON",
"talrooApply": false,
"talrooApplyPro": false

The following example request to the PATCH /campaigns/{campaignId} endpoint that would update a Job Campaign (id:12345) with field values that match the Talroo Pro Campaign Type:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"talrooFeaturedType": "OFF",
"talrooPro": "ON",
"talrooApply": false,
"talrooApplyPro": false
}'

The Talroo Featured Campaign Type is a step above the Talroo Basic Campaign Type when it comes to the expected quality of applicants. Talroo Featured Campaigns show job seekers a featured highlight of your job on Talroo's flagship job board, Jobs2Careers.com, before sending the job seeker through to the job's URL and recording a billable click. This highlight of a job helps mitigate undesired charges for errant or exploratory clicks that can occur with the Talroo Basic Campaign Type, while still being able to produce a high volume of traffic.

Within the Job Campaign object, a Talroo Featured Campaign is designated with the following values:

"talrooFeaturedType": "ALWAYS_ON",
"talrooPro": "OFF",
"talrooApply": false,
"talrooApplyPro": false

The following example request to the PATCH /campaigns/{campaignId} endpoint that would update a Job Campaign (id:12345) with field values that match the Featured Campaign Type:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"talrooFeaturedType": "ALWAYS_ON",
"talrooPro": "OFF",
"talrooApply": false,
"talrooApplyPro": false
}'

Talroo Apply Campaigns

Talroo also allows customers to host applications on Talroo's flagship job board, Jobs2Careers.com. Currently, Talroo Apply applications consist of default applicant data collection questions that capture the job seeker's name, email, phone, location (city, state, zip code), an optional resume collection question, and any questions provided through our Talroo Apply System.

If you would like to utilize the Talroo Apply Campaign Type, please see the Talroo Apply documentation.